/*
 *  Do not modify this file; it is automatically 
 *  generated and any modifications will be overwritten.
 *
 * @(#) xdc-x16
 */

#ifndef ti_platform_evmtci6614_Settings__INTERNAL__
#define ti_platform_evmtci6614_Settings__INTERNAL__

#ifndef ti_platform_evmtci6614_Settings__internalaccess
#define ti_platform_evmtci6614_Settings__internalaccess
#endif

#include <ti/platform/evmtci6614/Settings.h>

#undef xdc_FILE__
#ifndef xdc_FILE
#define xdc_FILE__ NULL
#else
#define xdc_FILE__ xdc_FILE
#endif

/* Module_startup */
#undef ti_platform_evmtci6614_Settings_Module_startup
#define ti_platform_evmtci6614_Settings_Module_startup ti_platform_evmtci6614_Settings_Module_startup__F

/* Instance_init */
#undef ti_platform_evmtci6614_Settings_Instance_init
#define ti_platform_evmtci6614_Settings_Instance_init ti_platform_evmtci6614_Settings_Instance_init__F

/* Instance_finalize */
#undef ti_platform_evmtci6614_Settings_Instance_finalize
#define ti_platform_evmtci6614_Settings_Instance_finalize ti_platform_evmtci6614_Settings_Instance_finalize__F

/* per-module runtime symbols */
#undef Module__MID
#define Module__MID ti_platform_evmtci6614_Settings_Module__id__C
#undef Module__DGSINCL
#define Module__DGSINCL ti_platform_evmtci6614_Settings_Module__diagsIncluded__C
#undef Module__DGSENAB
#define Module__DGSENAB ti_platform_evmtci6614_Settings_Module__diagsEnabled__C
#undef Module__DGSMASK
#define Module__DGSMASK ti_platform_evmtci6614_Settings_Module__diagsMask__C
#undef Module__LOGDEF
#define Module__LOGDEF ti_platform_evmtci6614_Settings_Module__loggerDefined__C
#undef Module__LOGOBJ
#define Module__LOGOBJ ti_platform_evmtci6614_Settings_Module__loggerObj__C
#undef Module__LOGFXN0
#define Module__LOGFXN0 ti_platform_evmtci6614_Settings_Module__loggerFxn0__C
#undef Module__LOGFXN1
#define Module__LOGFXN1 ti_platform_evmtci6614_Settings_Module__loggerFxn1__C
#undef Module__LOGFXN2
#define Module__LOGFXN2 ti_platform_evmtci6614_Settings_Module__loggerFxn2__C
#undef Module__LOGFXN4
#define Module__LOGFXN4 ti_platform_evmtci6614_Settings_Module__loggerFxn4__C
#undef Module__LOGFXN8
#define Module__LOGFXN8 ti_platform_evmtci6614_Settings_Module__loggerFxn8__C
#undef Module__G_OBJ
#define Module__G_OBJ ti_platform_evmtci6614_Settings_Module__gateObj__C
#undef Module__G_PRMS
#define Module__G_PRMS ti_platform_evmtci6614_Settings_Module__gatePrms__C
#undef Module__GP_create
#define Module__GP_create ti_platform_evmtci6614_Settings_Module_GateProxy_create
#undef Module__GP_delete
#define Module__GP_delete ti_platform_evmtci6614_Settings_Module_GateProxy_delete
#undef Module__GP_enter
#define Module__GP_enter ti_platform_evmtci6614_Settings_Module_GateProxy_enter
#undef Module__GP_leave
#define Module__GP_leave ti_platform_evmtci6614_Settings_Module_GateProxy_leave
#undef Module__GP_query
#define Module__GP_query ti_platform_evmtci6614_Settings_Module_GateProxy_query


#endif /* ti_platform_evmtci6614_Settings__INTERNAL____ */
